Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support snippets

GET/workspaces/{organizationId}/support/snippets
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Snippets list

snippetsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
textContentstringrequired
markdownContentstring | nullrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/snippets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "snippets": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "textContent": "string",
      "markdownContent": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Was this page helpful?